<?php
/**
 * Language class
 *
 * @since 1.0
 */
namespace dodebug;

defined( 'WPINC' ) || exit;

class Lang extends Instance
{
	protected static $_instance;

	/**
	 * Init hook
	 * @since  1.0
	 */
	public function init()
	{
		add_action( 'plugins_loaded', array( $this, 'plugins_loaded' ) ) ;
	}

	/**
	 * Plugin loaded hooks
	 * @since 1.0
	 */
	public function plugins_loaded()
	{
		load_plugin_textdomain( 'dodebug', false, 'dodebug/lang/' ) ;
	}

	public static function msg( $tag, $num = null )
	{
		switch ( $tag ) {
			case 'test' :
				$msg = __( 'Test.', 'dodebug' );
				break;

			default:
				$msg = 'unknown msg: ' . $tag;
				break;
		}

		return $msg;
	}
}
